<script type="text/javascript">
var columnsavedstate = '<?php echo $this->columnsavedstate; ?>';
if(columnsavedstate !="") {
    columnsavedstate = Ext.util.JSON.decode(columnsavedstate);
}
var gridsavedstate = '<?php echo $this->gridSavedState; ?>';
if(gridsavedstate!=""){
    gridsavedstate = Ext.util.JSON.decode(gridsavedstate);
}else{
    //set default settings
    gridsavedstate = Ext.util.JSON.decode('{"sortinfo":{field : "postdate",dir: "desc"},"displaysize":25,"announcmentfilter":"0"}');
}
</script>
    
<span class="grid-meta" id="announcementslistlabel"></span>
<div id="gridheader" class="blue-box" style="padding:4px !important;">
    <table class="automation" border="0">
        <tbody>
            <tr>
                <td><div id="addannouncementbtn"></div></td>
                <td>
                    <span style="float:right;">
                        <span style="float:left;margin-right:2px;padding-top:2px;"></span><input type="text" id="numlistfilter"/>
                    </span>
                </td>
            </tr>
        </tbody>
    </table>
</div>
<div id="announcments-grid"></div>